## org.jfree.report.modules.gui.swing.html
Class HtmlFileExportTask

    java.lang.Object
      org.jfree.report.modules.gui.swing.html.HtmlFileExportTask

All Implemented Interfaces:
  java.lang.Runnable

    public class HtmlFileExportTask

extends java.lang.Object
implements java.lang.Runnable

Creation-Date: 02.12.2006, 14:15:14

Author:
  Thomas Morgner

Constructor Summary
`HtmlFileExportTask(ReportJob job)`

Method Summary
`protected org.jfree.layouting.modules.output.html.HtmlOutputProcessor` `createOutputProcessor()`
`void` `run()` When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlFileExportTask

    public HtmlFileExportTask(ReportJob job)
                       throws ReportConfigurationException

Throws:
  `ReportConfigurationException`

Method Detail

### run

    public void run()

  When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

  The general contract of the method `run` is that it may take any action whatsoever.

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `Thread.run()`

### createOutputProcessor

    protected org.jfree.layouting.modules.output.html.HtmlOutputProcessor createOutputProcessor()